Egret社区

egretWing编译项目报Buffer警告

2019-10-17 11:50
2896
昨天打开Egret Launcher,显示更新升级,就升了,后来项目运行时发现在egretWind输出面板下有个警告:
(node:2592) [DEP0005] DeprecationWarning: Buffer() is deprecated due to security and usability issues. Please use the Buffer.alloc(), Buffer.allocUnsafe(), or Buffer.from() methods instead.
开始以为是项目报错了,后来发现项目正常运行,但是这个警告好像有点影响,项目播放器fps面板变得模糊了
这个问题该怎么解决。有同样问题的吗。@官方人员
分享到 :
0 人收藏

6 个回复

倒序浏览
张宇  官方团队 | 2019-10-17 14:58:53
升级内置的 node 导致的,请从新在官网下载Launcher,谢谢
sailen1025  略有小成 | 2019-10-17 14:33:47
我现在也碰到了, 正准备发布版本, 有问题的话降 Launcher 版本算了
exml  登堂入室 | 2019-10-18 14:12:57
更新Launcher以后,就一直报这个警告
JaremyCheng  初学乍练 | 2019-10-22 16:21:09
最新的Launcher也是报这个
bohuanglee  登堂入室 | 7 天前
张宇 发表于 2019-10-17 14:58
升级内置的 node 导致的,请从新在官网下载Launcher,谢谢

重现卸载和更新launcher也不行,是电脑的node版本要升级吗?
去你的吧  初学乍练 | 5 天前
同问 ,虽然好像不解决也没发现什么问题
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

小黑屋|京网文[2014]0791-191号|京ICP证150115号|Egret社区 ( 京ICP备14025619号 )

Powered by Discuz! X3.4 © 2001-2019 Comsenz Inc.

返回顶部